## org.apache.poi.hdgf.chunks
Class ChunkHeaderV11

    java.lang.Object
      org.apache.poi.hdgf.chunks.ChunkHeader
          org.apache.poi.hdgf.chunks.ChunkHeaderV6
              org.apache.poi.hdgf.chunks.ChunkHeaderV11

    public final class ChunkHeaderV11

extends ChunkHeaderV6

A chunk header from v11+

Field Summary

Fields inherited from class org.apache.poi.hdgf.chunks.ChunkHeaderV6
`unknown2, unknown3`

Fields inherited from class org.apache.poi.hdgf.chunks.ChunkHeader
`id, length, type, unknown1`

Constructor Summary
`ChunkHeaderV11()`

Method Summary
`boolean` `hasSeparator()` Does the chunk have a separator?

Methods inherited from class org.apache.poi.hdgf.chunks.ChunkHeaderV6
`getHeaderSize, getSizeInBytes, getUnknown2, getUnknown3, hasTrailer`

Methods inherited from class org.apache.poi.hdgf.chunks.ChunkHeader
`createChunkHeader, getHeaderSize, getId, getLength, getType, getUnknown1`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChunkHeaderV11

    public ChunkHeaderV11()

Method Detail

### hasSeparator

    public boolean hasSeparator()

  Does the chunk have a separator?

  Overrides:
    `hasSeparator` in class `ChunkHeaderV6`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.